Page tree
Skip to end of metadata
Go to start of metadata

1.描述

在安装活字格前,您需要按照以下要求准备环境,以确保能够正常安装及使用。

2.设计器环境要求

活字格设计器即活字格的开发环境对版本及内存的要求如表1所示。

表1  设计器环境的要求

版本及内存要求
操作系统

Windows 7 SP1/8.1 Update/10

Server 2008 SP2/Server 2008 R2 SP1/Server 2012/Server 2012 R2 Update

说明
Server Core除外。
浏览器Internet Explorer 11、Microsoft Edge最新版、Google Chrome最新版
硬件CPU:Core™ i3 2GHz及以上;内存:4GB及以上;硬盘可用空间:400MB及以上(如果未安装.NET Framework,则需2GB及以上可用空间。)
Framework

.NET Framework 4.7.2或以上版本

说明
如果没有安装上述版本的软件,则安装活字格设计器时会自动安装,但需确保您的系统至少安装了.Net Framework 3.5 SP1或以上版本;如果系统没有安装.Net Framework 3.5 SP1或以上版本,则需要在微软网站上下载并安装后,才能安装活字格设计器。

3.服务端环境要求

活字格服务端即活字格的部署环境对版本及内存的要求如表2所示。

表2  服务端环境的要求

版本及内存要求
操作系统

Windows 7 SP1/8.1 Update/10
Server 2008 SP2/Server 2008 R2 SP1/Server 2012/Server 2012 R2 Update

说明
Server Core除外。
硬件硬盘空间:300MB以上
Framework

.NET Framework 4.7.2或以上版本

说明
如果没有安装上述版本的软件,则安装活字格设计器时会自动安装,但需确保您的系统至少安装了.Net Framework 3.5 SP1或以上版本;如果系统没有安装.Net Framework 3.5 SP1或以上版本,则需要在微软网站上下载并安装后,才能安装活字格设计器。

4.支持的第三方数据库

活字格支持的第三方数据库如表3所示。不支持第三方数据库中的某些功能,如工作流。

表3  支持的第三方数据库及要求
数据库名称版本要求
Microsoft SQL Server2008 SP4/2008 R2 SP3/2012 SP3/2014 SP2/2016 / 2017
Oracle

10G Release 2 (10.2)/11G Release 2 (11.2)/12C Release 2 (12.2) / 18c (18.4)

64位Oracle数据库客户端
MySql5.6/5.7
MariaDB10.3
ODBC数据源可以连接任何类型的数据库,但是基于不同数据库类型功能会有所限制。

5.客户端要求

客户端即访问活字格网站的环境对浏览器的版本要求如表4所示。

表4  客户端浏览器的版本要求
客户端浏览器版本要求
WindowsInternet Explorer 11、Microsoft Edge最新版、Google Chrome最新版
iPhoneSafari (iOS 13最新版)
AndroidGoogle Chrome最新版
说明
  • 要导入Access文件必须安装Microsoft Access(32位版)。
  • 不承诺完全支持没有包含在运行环境中的服务。
  • 32位(x86)版软件可以同时兼容32位版和64位版操作系统。


 回到顶部

  • No labels
Write a comment…